<!--  -->
<template>
  <div class="app-container" :donorno="donorno">
    <el-table
      border
      :data="fundList"
      :span-method="objectSpanMethod"
      label-width="96px"
    >
      <!-- <el-table-column
        label="序号"
        width="50"
        align="center"
        prop="tableindex"
      /> -->
      <el-table-column label="项目类型" align="center">
        <el-table-column
          label="器官捐献者相关的成本"
          prop="bigclass"
          width="150"
        >
        </el-table-column>
        <el-table-column
          label="捐献者医学支持成本"
          prop="subjecttypename"
          align="center"
          width="150"
        >
        </el-table-column>
        <el-table-column
          label="评估"
          prop="itemtypename"
          align="center"
          width="150"
        >
        </el-table-column>
      </el-table-column>
      <el-table-column
        label="项目定义"
        align="center"
        prop="itemname"
        width="300"
      />
      <el-table-column label="单位" width="50" align="center" prop="itemunit" />
      <el-table-column label="税前" width="100" align="center" prop="amount" />
      <el-table-column
        label="税后"
        width="100"
        align="center"
        prop="amounted"
      />
    </el-table>
  </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》';
import { getDonationCost, exportFundCost } from "@/api/project/financesubject";
export default {
  name: "fundsummary",
  props: {
    donorno: {
      default: 0,
    },
  },
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      fundList: [
        {
          tableindex: 1,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "评估",
          itemname: "捐献医院初步评估费用",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 2,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "ECOM团队劳务费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 3,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "ECOM使用费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 4,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "捐献者医疗费用",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 5,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "捐献医院器官维护费用",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 6,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "去捐献医院指导器官维护专家费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 7,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "上级医院医生器官功能维护费用",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 8,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "上级捐献医院护理团队器官功能维护费用",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 9,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "专家会诊劳务费",
          itemunit: "人",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 10,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "器官功能维护",
          itemname: "捐献医院病房护理劳务费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 11,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "检验/检查",
          itemname: "心脏超声+肝肾超声、CT、MR、三维重建",
          itemunit: "例",
          amount: "",
          amounted: "",
        },

        {
          tableindex: 12,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "检验/检查",
          itemname: "标准运输费",
          itemunit: "次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 13,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "检验/检查",
          itemname: "HLA等检验劳务费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },

        {
          tableindex: 14,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "捐献者转运",
          itemname: "转运医生",
          itemunit: "人",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 15,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "捐献者转运",
          itemname: "转运护士",
          itemunit: "人",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 16,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "捐献者转运",
          itemname: "转运司机",
          itemunit: "人",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 17,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "捐献者转运",
          itemname: "转运车费",
          itemunit: "次",
          amount: "",
          amounted: "",
        },

        {
          tableindex: 18,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "捐献病情评估专家费",
          itemname: "捐献病情评估专家费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 19,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "死亡判定",
          itemname: "脑死亡临床判定专家费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 20,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "捐献者医学支持成本",
          itemtypename: "死亡判定",
          itemname: "脑死亡脑电图、正中神经诱发电位、TCD等劳务费",
          itemunit: "项目",
          amount: "",
          amounted: "",
        },

        {
          tableindex: 21,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "",
          itemtypename: "样本留存费用",
          itemname:
            "留存捐献者血液、尿液、淋巴结及其它组织标本等成本（500元*5个脏器）",
          itemunit: "脏器",
          amount: "",
          amounted: "",
        },

        {
          tableindex: 22,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "遗体修复及善后成本",
          itemtypename: "遗体修整",
          itemname: "遗体护理",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 23,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "遗体修复及善后成本",
          itemtypename: "议题转运",
          itemname: "遗体运输",
          itemunit: "次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 24,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "遗体修复及善后成本",
          itemtypename: "丧葬",
          itemname: "丧葬等",
          itemunit: "次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 25,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "遗体修复及善后成本",
          itemtypename: "尸检",
          itemname: "尸检",
          itemunit: "次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 26,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "器官捐献管理成本",
          itemtypename: "捐献法定流程成本",
          itemname: "器官捐献协调、审核、见证、分配等捐献法定流程成本",
          itemunit: "",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 27,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "器官捐献管理成本",
          itemtypename: "捐献法定流程成本",
          itemname: "器官捐献伦理审核专家费",
          itemunit: "人次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 28,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "器官捐献管理成本",
          itemtypename: "差旅费",
          itemname: "差旅报销",
          itemunit: "",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 29,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "器官捐献管理成本",
          itemtypename: "OPO专职工作人员出差补贴",
          itemname: "OPO专职人员外勤补助",
          itemunit: "人次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 30,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "器官捐献管理成本",
          itemtypename: "协调员出差补贴",
          itemname: "人体器官捐献协调员外勤补助",
          itemunit: "",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 31,
          bigclass: "器官捐献者相关的成本",
          subjecttypename: "器官捐献管理成本",
          itemtypename: "管理费",
          itemname: "管理费",
          itemunit: "",
          amount: "",
          amounted: "",
        },
        //器官获取相关成本
        {
          tableindex: 32,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（肝脏获取、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 33,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生肝脏获取（劈离、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 34,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（肾脏获取、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 35,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（心脏获取、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 36,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（肺脏获取、修整）",
          itemunit: "单例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 37,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（小肠获取、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 38,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（胰腺获取、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 39,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官获取",
          itemname: "医生（角膜获取、修整）",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 40,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官劈离",
          itemname: "护士",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 41,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "器官劈离",
          itemname: "助手",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 42,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "手术室使用",
          itemname: "手术室使用费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 43,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "手术室使用",
          itemname: "手术室人工费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 44,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官获取手术成本",
          itemtypename: "与手术相关的医学检查检验等辅助性医疗服务",
          itemname: "肝脏三维重建",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 45,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官医学支持成本",
          itemtypename: "器官质量评估",
          itemname: "移植专家咨询费",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 46,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官医学支持成本",
          itemtypename: "器官保存及灌注",
          itemname: "器官保存、灌注及相应液体",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 47,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官医学支持成本",
          itemtypename: "病理评估",
          itemname: "病理穿刺活检",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 48,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官医学支持成本",
          itemtypename: "检查检验等",
          itemname: "HLA配型",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 49,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官医学支持成本",
          itemtypename: "人力",
          itemname: "器官转运至移植医院的人力成本",
          itemunit: "次",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 50,
          bigclass: "器官获取相关成本",
          subjecttypename: "器官医学支持成本",
          itemtypename: "设备",
          itemname: "用于保存器官的设备（lifeport*2)",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 51,
          bigclass: "器官捐献者家属相关成本",
          subjecttypename: "家属交通食宿、误工补贴",
          itemtypename: "家属交通食宿、误工补贴",
          itemname: "家属交通食宿、误工补贴",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 52,
          bigclass: "器官捐献者家属相关成本",
          subjecttypename: "家属补贴",
          itemtypename: "家属补贴",
          itemname: "捐献者家属相关成本",
          itemunit: "例",
          amount: "",
          amounted: "",
        },
        {
          tableindex: 53,
          bigclass: "",
          subjecttypename: "",
          itemtypename: "",
          itemname: "",
          itemunit: "合计",
          amount: "",
          amounted: "",
        },
      ],
      //捐献者医学支持成本起始行
      medicalSupportCostRowIndex: 0,
      //捐献者医学支持成本合并行数
      medicalSupportCostRowSpan: 0,
      //遗体修复及善后成本起始行
      bodyRestorationCostRowIndex: 0,
      //遗体修复及善后成本合并行数
      bodyRestorationCostRowSpan: 0,
      //器官获取手术成本起始行
      organAcquisitionSurgeryCostRowIndex: 0,
      //器官获取手术成本合并行数
      organAcquisitionSurgeryCostRowSpan: 0,
      //器官获取手术成本起始行
      organMedicineSupportCostRowIndex: 0,
      //器官获取手术成本合并行数
      organMedicineSupportCostRowSpan: 0,
      curdorno: null,
    };
  },
  //监听属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {
    //监听donorno发生改变时触发
    curdorno(newVal) {
      this.curdorno = newVal;
      //alert(this.donorno);
      //console.log("监听到捐献编号变化" + this.curdorno);
      this.getCostData(this.curdorno);
    },
  },
  //方法集合
  methods: {
    //合并列
    objectSpanMethod({ row, column, rowIndex, columnIndex }) {
      if (columnIndex === 0) {
        if (rowIndex == 0) {
          return {
            rowspan: 30,
            colspan: 1,
          };
        } else if (rowIndex > 0 && rowIndex <= 29) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 30) {
          return {
            rowspan: 18,
            colspan: 1,
          };
        } else if (rowIndex > 30 && rowIndex <= 47) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 48) {
          return {
            rowspan: 2,
            colspan: 1,
          };
        } else if (rowIndex == 49) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else {
          return {
            rowspan: 1,
            colspan: 1,
          };
        }
      }
      //合并列（第2列）
      if (columnIndex == 1) {
        if (rowIndex == 0) {
          return {
            rowspan: 19,
            colspan: 1,
          };
        } else if (rowIndex > 0 && rowIndex <= 18) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 19) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else if (rowIndex == 20) {
          return {
            rowspan: 4,
            colspan: 1,
          };
        } else if (rowIndex > 20 && rowIndex <= 23) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex > 20 && rowIndex <= 23) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 24) {
          return {
            rowspan: 6,
            colspan: 1,
          };
        } else if (rowIndex > 24 && rowIndex <= 29) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 30) {
          return {
            rowspan: 12,
            colspan: 1,
          };
        } else if (rowIndex <= 41) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 42) {
          return {
            rowspan: 6,
            colspan: 1,
          };
        } else if (rowIndex > 42 && rowIndex <= 47) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 48 || rowIndex == 49) {
          return {
            rowspan: 1,
            colspan: 2,
          };
        } else if (rowIndex == 51) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else {
          return {
            rowspan: 1,
            colspan: 1,
          };
        }
      }

      //合并捐评估列（第3列）
      if (columnIndex == 2) {
        if (rowIndex == 0) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else if (rowIndex == 1) {
          return {
            rowspan: 8,
            colspan: 1,
          };
        } else if (rowIndex > 1 && rowIndex <= 8) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 9) {
          return {
            rowspan: 3,
            colspan: 1,
          };
        } else if (rowIndex > 9 && rowIndex <= 11) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 12) {
          return {
            rowspan: 4,
            colspan: 1,
          };
        } else if (rowIndex > 12 && rowIndex <= 15) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 16) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else if (rowIndex == 17) {
          return {
            rowspan: 2,
            colspan: 1,
          };
        } else if (rowIndex > 17 && rowIndex <= 18) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex >= 19 && rowIndex <= 23) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else if (rowIndex == 24) {
          return {
            rowspan: 2,
            colspan: 1,
          };
        } else if (rowIndex == 25) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex > 25 && rowIndex <= 29) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else if (rowIndex == 30) {
          return {
            rowspan: 8,
            colspan: 1,
          };
        } else if (rowIndex > 30 && rowIndex <= 37) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 38) {
          return {
            rowspan: 1,
            colspan: 1,
          };
        } else if (rowIndex == 39) {
          return {
            rowspan: 2,
            colspan: 1,
          };
        } else if (rowIndex == 40) {
          return {
            rowspan: 0,
            colspan: 0,
          };
        } else if (rowIndex == 48 || rowIndex == 49) {
          return {
            rowspan: 1,
            colspan: 0,
          };
        } else {
          return {
            rowspan: 1,
            colspan: 1,
          };
        }
      }
    },

    //获取合并行的配置
    calculateRowSpanConfig() {
      for (let i = 0; i < this.fundList.length; i++) {
        let tempFundInfo = this.fundList[i];
        if (tempFundInfo.subjecttypename == "捐献者医学支持成本") {
          if (i < this.medicalSupportCostRowIndex) {
            this.medicalSupportCostRowIndex = i;
          }

          this.medicalSupportCostRowSpan++;
        } else if (tempFundInfo.subjecttypename == "遗体修复及善后成本") {
          if (
            i < this.bodyRestorationCostRowIndex ||
            this.bodyRestorationCostRowIndex == 0
          ) {
            this.bodyRestorationCostRowIndex = i;
          }

          this.bodyRestorationCostRowSpan++;
        } else if (tempFundInfo.subjecttypename == "器官获取手术成本") {
          if (
            i < this.organAcquisitionSurgeryCostRowIndex ||
            this.organAcquisitionSurgeryCostRowIndex == 0
          ) {
            this.organAcquisitionSurgeryCostRowIndex = i;
          }
          this.organAcquisitionSurgeryCostRowSpan++;
        } else if (tempFundInfo.subjecttypename == "器官医学支持成本") {
          if (
            i < this.organMedicineSupportCostRowIndex ||
            this.organMedicineSupportCostRowIndex == 0
          ) {
            this.organMedicineSupportCostRowIndex = i;
          }
          this.organMedicineSupportCostRowSpan++;
        }
      }
    },

    //调用接口获取成本数据
    getCostData(donorno) {
      getDonationCost(donorno).then((res) => {
        if (res.code == 200) {
          let resList = res.data;
          debugger
          var arr = [];
          for (var i in resList) {
            arr.push(resList[i]);
          }

          let arr1 = arr.slice(0, 53);          
          arr1.forEach((item, i) => {
            if (item !== 0) {
              this.fundList[i].amount = item.toFixed(2);
            }
          });

          arr1 = arr.slice(53, 106);
          arr1.forEach((item, i) => {
            if (item !== 0) {
              this.fundList[i].amounted = item.toFixed(2);
            }
          });

          // this.fundList = resList
          // for (let i = 0; i < resList.length; i++) {
          //   let itemIndex = this.fundList.findIndex(
          //     (item) => resList[i].itemname == item.itemname
          //   );
          //   console.log(itemIndex);
          //   if (itemIndex > -1) {
          //     if(resList[i].amount != "0.00"){
          //       this.fundList[itemIndex].amount =
          //       resList[i].amount;
          //     }else{
          //       this.fundList[itemIndex].amount =
          //       ""
          //     }
          //   }
          // }
        }
      });
    },
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {
    this.calculateRowSpanConfig();
  },
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {
    this.curdorno = this.donorno;
  },
  beforeCreate() {}, //生命周期 - 创建之前
  beforeMount() {}, //生命周期 - 挂载之前
  beforeUpdate() {}, //生命周期 - 更新之前
  updated() {}, //生命周期 - 更新之后
  beforeDestroy() {}, //生命周期 - 销毁之前
  destroyed() {}, //生命周期 - 销毁完成
  activated() {}, //如果页面有keep-alive缓存功能，这个函数会触发
};
</script>
<style scoped>
/* @import url(); 引入公共css类 */
</style>
